void printi(int val);

int main()
{
  float f;
  double d;
  long double ld;

  printi(sizeof(float));
  printi(sizeof(double));
  printi(sizeof(long double));
  printi(sizeof(f));
  printi(sizeof(d));
  printi(sizeof(ld));

  return 0;
}
